> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/thesports-docs/websocket/websocket-sample-data.md).

# WebSocket Sample Data

### score

```json
[
	{
		"id": "k82rekhxeo6zrep",
		"score": [
			"k82rekhxeo6zrep",
			2,
			[
				0,
				0,
				0,
				0,
				0,
				0,
				0
			],
			[
				0,
				0,
				0,
				0,
				1,
				0,
				0
			],
			1617356761,
			""
		]
	}
]


Live score field description
[
  [
    "k82rekhxeo6zrep",//Match id
    1,//Match status, please refer to Status Code -> Match Status
    [//Home team data
      0,//Score (regular time)
      0,//Halftime score
      0,//Red cards
      0,//Yellow cards
      0,//Corners，-1 means no corner kick data
      0,//Overtime score (120 minutes，including regular time)，only available in overtime
      0,//Penalty shootout score，only penalty shootout
    ],
    [//Away team data, same as home team format
      0,
      0,
      0,
      0,
      0,
      0,
      0
    ],
    1516197600,//Kick-off timestamp，kick-off time of the first/second half (judged according to the state of the match)
    ""//Compatible ignore
  ]
]
```

### stats

```json
[
	{
		"id": "k82rekhxeo6zrep",
		"stats": [
			{
				"type": 3,
				"home": 1,
				"away": 3
			}
		]
	}
]

Match statistics field description
{
  "type": 2,//Type，see status code -> technical statistics
  "home": 9,//Home team value
  "away": 0 //Away team value
}
```

### incidents

```json
[
	{
		"id": "k82rekhxeo6zrep",
		"incidents": [
			{
				"type": 1,
				"position": 2,
				"time": 3,
				"home_score": 1,
				"away_score": 0,
				"player_id": "l7oqdeh0yk27r51",
				"player_name": "Krivska K."
			},
			{
				"type": 9,
				"position": 2,
				"time": 62,
				"in_player_id": "318q66hnv0kqo9j",
				"out_player_id": "zp5rzghz0wv1q82",
				"in_player_name": "Angga D.",
				"out_player_name": "Adsit G.",
				"reason_type": 4
			}
		]
	}
]

match event field description
{
  "type": 1,//Type，see status code -> technical statistics
  "position": 2,//The incident occurred，0-neutral，1- home team，2- away team
  "time": 47,	//Time (minutes)
  "add_time": 2, //Add time (minutes), which is related to injury time or stoppage time and may not exist
  "not_on_pitch": 1, //Whether off-field, 1-Yes (a red or yellow card incident exists)
  "person_type":1, //Personnel type, 1-Head coach, 2-Coaching staff and other team personnel (a red or yellow card incident exists)
  "miss": 1, //Whether suspended, 1-Yes (a red or yellow card incident exists)
  
  "player_id": "zp5rzghz0wv1q82",//Player id related to the incident，may not exist
  "player_name": "Adsit G.",//Player name related to the incident，may not exist
  
  "assist1_id": "zp5rzghz0wv1q82",//Assist player 1 id，related to the goal incident，may not exist
  "assist1_name": "Adsit G.",//Assist player 1 name，related to the goal incident，may not exist
  
  "assist2_id": "zp5rzghz0wv1q82",//Assist player 2 id，related to the goal incident，may not exist
  "assist2_name": "Adsit G.",//Assist player 2 name，related to the goal incident，may not exist
  
  "in_player_id ": "zp5rzghz0wv1q82",//Replace the player id(Put on)，which is related to the substitution incident and may not exist
  "in_player_name ": "Adsit G.",//Replace the player name(Put on)，which is related to the substitution incident and may not exist
  
  "out_player_id ": "318q66hnv0kqo9j",//Replace the player id(Replace)，which is related to the substitution incident and may not exist
  "out_player_name ": "Angga D.",//Replace the player name(Replace)，which is related to the substitution incident and may not exist
  
  "home_score": 1,//Home team score，related to the goal incident，may not exist
  "away_score": 2,//Away team score，related to the goal incident，may not exist
  
  "var_reason": 1,//VAR reason，related to var incident<br/>1-Goal awarded<br/>2-Goal not awarded<br/>3-Penalty awarded<br/>4-Penalty not awarded<br/>5 -Red card given<br/>6-Card upgrade<br/>7-Mistaken identity<br/>8-Corner awarded<br/>9-Corner not awarded<br/>0-Other
  "var_result": 2,//VAR result，related to var incident<br/>1-Goal confirmed<br/>2-Goal cancelled<br/>3-Penalty confirmed<br/>4-Penalty cancelled<br/>5-Red card confirmed<br/>6-Red card cancelled<br/>7-Card upgrade confirmed<br/>8-Card upgrade cancelled<br/>9-Original decision<br/>10-Original decision changed<br/>11-Corner confirmed<br/>12-Corner cancelled<br/>0-Unknown
	
  "reason_type": 2,//The reason for the red and yellow cards and substitution events, please refer to the status code -> event reason (the red and yellow cards and substitution events related field)
}
```

### tlive

```json
[
  {
    "id": "l5ergphw7n2wr8k",
    "tlive": [
      {
        "time": "51'",
        "data": "51'Goal! VfB Stuttgart 0-1 Atalanta.Ademola Lookman (Atalanta)’s left foot shot.",
        "position": 2
      },
      {
        "time": "54'",
        "data": "54'The match delays because Deniz Undav (VfB Stuttgart) injured.",
        "position": 1
      }
    ]
  }
]

match text field description
{
  "time": "51'",	//Time (minutes)
  "data": "", //Contents
  "position": 2 //The incident occurred，0-neutral，1- home team，2- away team
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/thesports-docs/websocket/websocket-sample-data.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
